## mauikit-texteditor 4.0.2+p24.04+vstable+git20250901.1213

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vstable+git20250901.1213-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 12:13:30 +0000

mauikit-texteditor (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 30 May 2025 02:26:50 +0000

mauikit-texteditor (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 02:26:40 +0000

mauikit-texteditor (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 02:26:42 +0000

mauikit-texteditor (3.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 02:26:42 +0000

mauikit-texteditor (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 26 May 2023 02:26:18 +0000

mauikit-texteditor (2.2.2) unstable; urgency=medium

  * Initial release

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 04 May 2020 19:57:31 +0000

## mauikit-texteditor 4.0.2+p24.04+vstable+git20250930.0511

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vstable+git20250930.0511-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:11:39 +0000

## mauikit-texteditor 4.0.2+p24.04+vstable+git20251015.1845

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vstable+git20251015.1845-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 18:45:44 +0000

## mauikit-texteditor 4.0.2+p24.04+vstable+git20251020.0049

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Camilo Higuita <milo.h@aol.com>
#
# SPDX-License-Identifier: BSD-2-Clause

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/code)

add_library(MauiKitTextEditor${MAUI_MAJOR_VERSION} SHARED)

ecm_add_qml_module(MauiKitTextEditor${MAUI_MAJOR_VERSION}
    URI "org.mauikit.texteditor"
    CLASS_NAME TextEditorPlugin
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
    "org.mauikit.controls")

set(plugin_SRCS
    code/texteditor_plugin.cpp
    code/documenthandler.cpp
    code/colorschemesmodel.cpp
    code/linenumbermodel.cpp)

set(lib_SRCS
    code/moduleinfo.cpp)

set(lib_HDRS
    code/moduleinfo.h)

ecm_target_qml_sources(MauiKitTextEditor${MAUI_MAJOR_VERSION} SOURCES
    controls.${QT_MAJOR_VERSION}/TextEditor.qml
    controls.${QT_MAJOR_VERSION}/ColorSchemesPage.qml)

target_sources(MauiKitTextEditor${MAUI_MAJOR_VERSION}plugin
    PRIVATE
    ${plugin_SRCS})

target_sources(MauiKitTextEditor${MAUI_MAJOR_VERSION}
    PRIVATE
    ${lib_SRCS}
    ${lib_HDRS})

add_library(MauiKit${MAUI_MAJOR_VERSION}::TextEditor ALIAS MauiKitTextEditor${MAUI_MAJOR_VERSION})

generate_export_header(MauiKitTextEditor${MAUI_MAJOR_VERSION} BASE_NAME TextEditor)
set_target_properties(MauiKitTextEditor${MAUI_MAJOR_VERSION} PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
    EXPORT_NAME "TextEditor")

target_include_directories(MauiKitTextEditor${MAUI_MAJOR_VERSION}
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/MauiKit${MAUI_MAJOR_VERSION}/TextEditor>")

target_include_directories(MauiKitTextEditor${MAUI_MAJOR_VERSION} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_BINARY_DIR};>")

target_link_libraries(MauiKitTextEditor${MAUI_MAJOR_VERSION}
    PRIVATE
    Qt${QT_MAJOR_VERSION}::Core
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::CoreAddons)

target_link_libraries(MauiKitTextEditor${MAUI_MAJOR_VERSION}plugin
    PRIVATE
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    KF${KF_MAJOR_VERSION}::SyntaxHighlighting
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::CoreAddons
    MauiKit${MAUI_MAJOR_VERSION}
    MauiKitTextEditor${MAUI_MAJOR_VERSION})

ecm_finalize_qml_module(MauiKitTextEditor${MAUI_MAJOR_VERSION} DESTINATION ${KDE_INSTALL_QMLDIR})

install(TARGETS MauiKitTextEditor${MAUI_MAJOR_VERSION} EXPORT MauiKitTextEditor${MAUI_MAJOR_VERSION}Targets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${lib_HDRS}
    ${CMAKE_CURRENT_BINARY_DIR}/texteditor_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/MauiKit${MAUI_MAJOR_VERSION}/TextEditor
    COMPONENT Devel)

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vstable+git20251020.0049-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:49:40 +0000

## mauikit-texteditor 4.0.2+p24.04+vstable+git20251028.1008

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vstable+git20251028.1008-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:08:30 +0000

=== debian/control ===
Source: mauikit-texteditor
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-syntax-highlighting-dev,
               mauikit-dev,
               mauiman-dev,
               ninja-build,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://mauikit.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mauikit-texteditor.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mauikit-texteditor
Maintainer: Neon CI <neon@kde.org>

Package: qml6-module-org-mauikit-texteditor
Architecture: any
Depends: libmauikit,
         libmauikittexteditor4,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-kquickimageeditor,
         qml6-module-org-kde-sonnet,
         qml6-module-org-maui-mauikit,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-mauikit-texteditor (<< 4.0.0)
Replaces: qml-module-org-mauikit-texteditor (<< 4.0.0)
Description: MauiKit Text Editor components
 This package contains the mauikit text editor component qml module.

Package: libmauikittexteditor4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libmauikittexteditor3 (<< 4.0.0)
Replaces: libmauikittexteditor3 (<< 4.0.0)
Description: MauiKit Text Editor components
 This package contains the mauikit text editor component library.

Package: libmauikittexteditor-dev
Architecture: any
Depends: libmauikittexteditor4 (= ${binary:Version}),
         qml6-module-org-mauikit-texteditor,
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: MauiKit Text Editor components
 This package contains mauikit text editor component development files.

Package: libmauikittexteditor3
Architecture: all
Depends: libmauikittexteditor4, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml-module-org-mauikit-texteditor
Architecture: all
Depends: qml6-module-org-mauikit-texteditor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## mauikit-texteditor 4.0.2+p24.04+vstable+git20251231.0215

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vstable+git20251231.0215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:15:15 +0000

## mauikit-texteditor 4.0.2+p24.04+vstable+git20260105.0939

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vstable+git20260105.0939-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:39:44 +0000

## mauikit-texteditor 4.0.2+p24.04+vstable+git20260122.0548

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vstable+git20260122.0548-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 05:48:17 +0000

## mauikit-texteditor 4.0.2+p24.04+vstable+git20260130.0947

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vstable+git20260130.0947-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:47:32 +0000

## mauikit-texteditor 4.0.2+p24.04+vunstable+git20251208.0511

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vunstable+git20251208.0511-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 05:11:15 +0000

## mauikit-texteditor 4.0.2+p24.04+vunstable+git20260130.1338

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vunstable+git20260130.1338-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 13:38:32 +0000

## mauikit-texteditor 4.0.2+p24.04+vunstable+git20260205.0806

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vunstable+git20260205.0806-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:06:24 +0000
